#if !defined(__EXTDEFS_H_INCLUDED_)
#define __EXTDEFS_H_INCLUDED_
/*
////////////////////////////////////////////////////////////////////////////////
// Licensed Materials - Use restricted. For use in compiling interfaces to
// IBM Rational TestManager.
// (c) Copyright IBM Corporation 2006.  All Rights Reserved.
//
//	FILENAME:		ExtDefs.h
//	DESCRIPTION:	Definitions to be used in Robot Session Recording adapters
//
//	REVISION HISTORY
//	PROGRAMMER		DATE		REVISION
//	============================================================================
//
//	ahoppe				04/04/02	initial version
//
////////////////////////////////////////////////////////////////////////////////
*/

typedef void (*StatusCallbackPtr)(int status, TCHAR* msg);

#define RSR_MAX_OPTIONS  4096

#define RSR_SUCCESS 0
#define RSR_OK      0
#define RSR_IGNORE  1
#define RSR_FAILURE -999
#define RSR_ERROR   -1
#define RSR_OBJECT_DOES_NOT_EXIST -2


#define RSR_BUFFER_TOO_SHORT -99

/* symbols for specifying GUI configuration options */

#define SESSION_FILES               _T("SESSION_FILES")
#define GENERAL_START_APP_PROMPT    _T("GENERAL_START_APP_PROMPT")
#define GENERATOR_USE_DATAPOOLS     _T("GENERATOR_USE_DATAPOOLS")
#define RECORD_SPLIT			_T("RECORD_SPLIT")
#define RECORD_START_APP      _T("RECORD_START_APP")
#define RECORD_TIMER          _T("RECORD_TIMER")
#define RECORD_COMMENT        _T("RECORD_COMMENT")
#define RECORD_SYNC_PT        _T("RECORD_SYNC_PT")
#define RECORD_BLOCK          _T("RECORD_BLOCK")
#define GENERATOR_COMMAND_ID        _T("GENERATOR_COMMAND_ID")
#define GENERATOR_DISPLAY_ROWS      _T("GENERATOR_DISPLAY_ROWS")
#define GENERATOR_VERIFY_ROW_COUNTS _T("GENERATOR_VERIFY_ROW_COUNTS")
#define GENERATOR_VERIFY_RETURN_CODES   _T("GENERATOR_VERIFY_RETURN_CODES")
#define GENERATOR_BIND_VU_VARS      _T("GENERATOR_BIND_VU_VARS")
#define GENERATOR_PLAYBACK_PACING   _T("GENERATOR_PLAYBACK_PACING")
#define GENERATOR_CPU_THRESH         _T("GENERATOR_CPU_THRESH")
#define GENERATOR_THINK             _T("GENERATOR_THINK")
#define GENERATOR_SESSION_NAME      _T("GENERATOR_SESSION_NAME")
//TODOEEJ implement this flag.
#define GENERATOR_USE_SCRIPTGEN_PROGRESS      _T("GENERATOR_USE_SCRIPTGEN_PROGRESS")
#define CONFIGURATION                _T("CONFIGURATION")
#define USE_CUSTOM_UI               _T("USE_CUSTOM_UI")
#define COMPATIBLE                  _T("COMPATIBLE")
#define ALL                         _T("ALL")
#define NONE                        _T("NONE")
#define DEFAULT_SCRIPT_GENERATOR    _T("DEFAULT_SCRIPT_GENERATOR")
#define TEST_SCRIPT_TYPE            _T("TEST_SCRIPT_TYPE")



#define RSR_CALLBACK_PROGRESS       0x1
#define RSR_CALLBACK_STOP           0x2
#define RSR_CALLBACK_FINISHED       0x4
#define RSR_CALLBACK_ERROR          0x8
#define RSR_CALLBACK_DETAILS        0x16


#define RSR_SCRIPT_TYPE_JAVA        "JAVA"
#define RSR_SCRIPT_TYPE_VISUAL_BASIC "VB"
#define RSR_SCRIPT_TYPE_VU           "VU"

#define RSR_SESSION_FILE_EXT         "EXT"
#define RSR_SESSION_FILE_WCH         "WCH"
#define RSR_SESSION_FILE_XML         "XML"



#define RSR_GENERATOR_PLAYBACK_PACING_NONE    0
#define RSR_GENERATOR_PLAYBACK_PACING_SCRIPT  1
#define RSR_GENERATOR_PLAYBACK_PACING_COMMAND 2

#define RSR_DISPLAY_RECORDED_ROWS_NONE							_T("None")
#define RSR_DISPLAY_RECORDED_ROWS_FIRST							_T("First")
#define RSR_DISPLAY_RECORDED_ROWS_LAST							_T("Last")
#define RSR_DISPLAY_RECORDED_ROWS_ALL							_T("All")



#endif
